---
title: EventSource.url
slug: Web/API/EventSource/url
tags:
  - API
  - EventSource
  - Property
  - Reference
  - Server-sent events
  - URL
---
<div>{{APIRef('WebSockets API')}}</div>

<p>The <code><strong>url</strong></code> read-only property of the {{domxref("EventSource")}} interface returns a {{domxref("DOMString")}} representing the URL of the source.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var myUrl = eventSource.url;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} representing the URL of the source.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">var evtSource = new EventSource('sse.php');
console.log(evtSource.url);</pre>

<div class="note">
<p><strong>Note</strong>: You can find a full example on GitHub — see <a href="https://github.com/mdn/dom-examples/tree/master/server-sent-events">Simple SSE demo using PHP.</a></p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "comms.html#dom-eventsource-url", "url")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<ul>
</ul>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.EventSource.url")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("EventSource")}}</li>
</ul>
